MsWks4TextInternal::State Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes | List of all members
MsWks4TextInternal::State Struct Reference

Internal: the state of a MsWks4Text. More...

## Public Member Functions
| State ()
| constructor More...
bool | parseMain () const
| returns true if we parse the main block More...
void | setParse (bool main)
| sets main to true if we parse the main block More...

## Public Attributes
Paragraph | m_paragraph
| the actual paragraph More...
MWAWFont | m_defFont
| the default font More...
std::vector< FontName > | m_fontNames
| the list of fonts names More...
std::vector< Font > | m_fontList
| a list of all font properties More...
std::vector< Paragraph > | m_paragraphList
| a list of all paragraph properties More...
std::vector< long > | m_pgdList
| a list of all page breaks More...
std::vector< Ftnt > | m_ftntList
| list of footnotes More...
std::map< long, Ftnt > | m_ftntMap
| mapping text offset to footnote More...
std::map< long, Object > | m_eobjMap
| mapping text offset to object More...
std::vector< DataPLC > | m_plcList
| list of all PLCs More...
MsWks4PLCInternal::KnownPLC | m_knownPLC
| the known plc More...

## Protected Attributes
bool | m_main
| true if we parse the main block More...

## Detailed Description

Internal: the state of a MsWks4Text.

Note
  in order to diffenciate a note definition with its main text position, we define a flag to indicate that we parse the MN0 ole or the Footnote ole ( see parseMain, setParse)

## Constructor & Destructor Documentation

MsWks4TextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool MsWks4TextInternal::State::parseMain | ( |  | ) | const
| inline

returns true if we parse the main block

void MsWks4TextInternal::State::setParse | ( | bool | main | ) |
| inline

sets main to true if we parse the main block

## Member Data Documentation

MWAWFont MsWks4TextInternal::State::m_defFont

the default font

std::map<long, Object> MsWks4TextInternal::State::m_eobjMap

mapping text offset to object

std::vector<Font> MsWks4TextInternal::State::m_fontList

a list of all font properties

std::vector<FontName> MsWks4TextInternal::State::m_fontNames

the list of fonts names

std::vector<Ftnt> MsWks4TextInternal::State::m_ftntList

list of footnotes

std::map<long, Ftnt> MsWks4TextInternal::State::m_ftntMap

mapping text offset to footnote

MsWks4PLCInternal::KnownPLC MsWks4TextInternal::State::m_knownPLC

the known plc

bool MsWks4TextInternal::State::m_main
| protected

true if we parse the main block

Referenced by parseMain(), and setParse().

Paragraph MsWks4TextInternal::State::m_paragraph

the actual paragraph

std::vector<Paragraph> MsWks4TextInternal::State::m_paragraphList

a list of all paragraph properties

std::vector<long> MsWks4TextInternal::State::m_pgdList

a list of all page breaks

std::vector<DataPLC> MsWks4TextInternal::State::m_plcList

list of all PLCs

The documentation for this struct was generated from the following file:

- MsWks4Text.cxx